import 'package:flutter/material.dart';
import 'package:drawer_menu/token/colors.dart';
import 'package:drawer_menu/token/typo.dart';

class MenuLateral extends StatelessWidget {
  final String textUser;
  final Widget  widget;
  final String textItem;
  final VoidCallback methodItem;
  final Color colorHeader;

  MenuLateral({Key key, this.textUser, this.textItem, this.methodItem, this.widget, this.colorHeader}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Drawer(
      child: Column(
        children: <Widget>[
          DrawerHeader(
            decoration: BoxDecoration(
              color: colorHeader,
            ),
      child: SafeArea(
        child: Container(
          width: double.infinity,
          height: 120.0,
          child: CircleAvatar(
            backgroundColor: BRAND_PRIMARY,
            child: Text(textUser,
              style: TextStyle(fontSize: H1_SIZE),
            ),), ),
      ),
          ),
          widget,
          ListTile(
            leading: Icon(Icons.settings),
            title: Text(textItem),
            onTap: () => methodItem,
          ),
        ],
      ),
    );
  }
}

